import request from '@/utils/request'

// 查询服务人员服务时间段列表
export function listSection(query) {
  return request({
    url: '/system/section/list',
    method: 'get',
    params: query
  })
}

// 查询服务人员服务时间段详细
export function getSection(sectionId) {
  return request({
    url: '/system/section/' + sectionId,
    method: 'get'
  })
}

// 新增服务人员服务时间段
export function addSection(data) {
  return request({
    url: '/system/section',
    method: 'post',
    data: data
  })
}

// 修改服务人员服务时间段
export function updateSection(data) {
  return request({
    url: '/system/section',
    method: 'put',
    data: data
  })
}

// 删除服务人员服务时间段
export function delSection(sectionId) {
  return request({
    url: '/system/section/' + sectionId,
    method: 'delete'
  })
}

// 导出服务人员服务时间段
export function exportSection(query) {
  return request({
    url: '/system/section/export',
    method: 'get',
    params: query
  })
}
